<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.motorDueReminder.home.title">Motor Due Reminders</span>
            </h5>
            <p-dataTable
                [value]="motorDueReminders"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idReminder"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: ['motor-due-reminder-new'] } }]">
                        </button>
                    </div>
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="{{ 'mpmApp.motorDueReminder.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.motorDueReminder.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'global.field.id'|translate}}" [style]="{'width': '80px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idReminder}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motorDueReminder.motor'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.motorId">
                            <a [routerLink]="['../motor', rowData.motorId  ]" >{{rowData.motorName}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motorDueReminder.service1'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.service1 | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motorDueReminder.service2'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.service2 | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motorDueReminder.service3'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.service3 | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motorDueReminder.service4'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.service4 | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motorDueReminder.service5'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.service5 | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motorDueReminder.km'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.km | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motorDueReminder.ndays'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.ndays | number}}
                    </ng-template>
                </p-column>
                
                <p-column header="{{'mpmApp.motorDueReminder.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['../motor-due-reminder', rowData.idReminder]"
                                icon="fa-eye"
                                class="flat-button"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'motor-due-reminder/'+ rowData.idReminder + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idReminder)"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>